Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80250 - SRPMS: install failed due to missing FAQ file
Summary: SRPMS: install failed due to missing FAQ file
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sudo
Version: 8.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-23 09:55 UTC by Sysoltsev Slawa
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-02 12:53:50 UTC


Attachments (Terms of Use)
Patch eliminating missed FAQ from %doc files (deleted)
2002-12-23 09:57 UTC, Sysoltsev Slawa
no flags Details | Diff

Description Sysoltsev Slawa 2002-12-23 09:55:49 UTC
Description of problem:
Building sudo from SRPMS I'fe got such error during %install:

Executing(%doc): /bin/sh -
e /netbatch/TC4097/rh80_ia32_N/default/WORK_DIR/tmp/rpm-tmp.51635
+ umask 022
+ cd /netbatch/TC4097/rh80_ia32_N/default/WORK_DIR/BUILD
+ cd sudo-1.6.6
+ DOCDIR=/netbatch/TC4097/rh80_ia32_N/default/WORK_DIR/tmp/sudo-
root/usr/share/doc/sudo-1.6.6
+ export DOCDIR
+ rm -rf /netbatch/TC4097/rh80_ia32_N/default/WORK_DIR/tmp/sudo-
root/usr/share/doc/sudo-1.6.6
+ /bin/mkdir -p /netbatch/TC4097/rh80_ia32_N/default/WORK_DIR/tmp/sudo-
root/usr/share/doc/sudo-1.6.6
+ cp -pr BUGS CHANGES FAQ HISTORY README RUNSON TODO TROUBLESHOOTING 
sudoers.pod sudo.pod visudo.pod /netbatch/TC4097/rh80_ia32_N/
default/WORK_DIR/tmp/sudo-root/usr/share/doc/sudo-1.6.6
cp: cannot stat `FAQ': No such file or directory
error: Bad exit status 
from /netbatch/TC4097/rh80_ia32_N/default/WORK_DIR/tmp/rpm-tmp.51635 (%doc)

I haven't found any 'FAQ' file in package, so seems you've missed it during 
packaging.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. rpm -bb sudo.spec

    
Actual results:
Installation error

Expected results:
Succesfully built && installed package.

Additional info:
I'll attach the patch for .spec which eliminates FAQ from %doc

Comment 1 Sysoltsev Slawa 2002-12-23 09:57:07 UTC
Created attachment 88863 [details]
Patch eliminating missed FAQ from %doc files

Comment 2 Thomas Woerner 2003-01-02 12:53:50 UTC
Fixed in rawhide in rpm sudo-1.6.6-2 or newer.


Note You need to log in before you can comment on or make changes to this bug.